import { Diagnostic } from 'ts-simple-ast';
import { Options, CompilationError } from './types';
/** @internal */
export declare function formatDiagnostics(d: Diagnostic[]): CompilationError[];
/** @internal */
export declare function unique(prefix?: string): string;
/** @internal */
export declare function quote(s: string, q?: string): string;
/** @internal */
export declare function escapeValue<T>(v: T, options: Options): string | undefined;
/** @internal */
export declare function getCallerFile(): {
    callerFile: string | undefined;
    allCallerFiles: string[];
};
